On Sun, Feb 27, 2011 at 1:21 PM, John Hunter <jdh2358@gmail.com> wrote:
On Sun, Feb 27, 2011 at 1:13 PM, Benjamin Root <ben.root@ou.edu> wrote:
> I was just looking through some code and I realized that if we are now
> willing (able?) to drop support for 2.4-2.5, then maybe we could benefit
> from some updates to our coding practices?  For example, I would personally
> love to see more use of conditional expressions (new in 2.5).

We are only talking about the python 3 branch here.  The master branch
should remain 2.4 compliant until we merge the 3.x into master.
Before we do that, we'll probably want to do a 1.1 or 1.2 or
1.whatever release and maintenance branch so we have a python 2.4
which is as current as possible.

JDH


Ah, that wasn't entirely clear.  Good to know before I started messing things up.

Ben Root